Carillon docs
Devices

List devices for export

GET
/v1/devices
AuthorizationBearer <token>

An API key, sent as Authorization: Bearer carillon_sk_live_…. A secret key sends, reads traces and manages devices; a mobile key may only register its own device and report that device’s events.

In: header

Query Parameters

external_id?string
Length1 <= length <= 256
platform?string

Value in

  • "ios"
  • "android"
status?string

Value in

  • "reachable"
  • "opted_out"
  • "invalidated"
cursor?string
Formatuuid
limit?integer
Range1 <= value <= 1000
Default100

Response Body

application/json

curl -X GET "https://example.com/v1/devices"
{  "devices": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "token": "string",      "platform": "ios",      "environment": "production",      "external_id": "string",      "tags": {        "property1": "string",        "property2": "string"      },      "timezone_id": "string",      "locale": "string",      "app_version": "string",      "app_build": "string",      "bundle_id": "string",      "os_version": "string",      "push_permission": "allowed",      "sdk_version": "string",      "opted_in": true,      "invalidated_at": "2019-08-24T14:15:22Z",      "invalidation_reason": "string",      "last_active_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "a7ec8888-a9c3-4732-a281-9a08510f220b"}